# ACE_Equal_To< ACE_UINT16 > Class Template Reference

Function object for determining whether two unsigned 16 bit ints are equal. More...

`#include <Functor.h>`

List of all members.

## Public Member Functions

int | operator() (const ACE_UINT16 lhs, const ACE_UINT16 rhs) const
| Simply calls built-in operators.

## Detailed Description

### template<>
class ACE_Equal_To< ACE_UINT16 >

Function object for determining whether two unsigned 16 bit ints are equal.

## Member Function Documentation

ACE_INLINE int ACE_Equal_To< ACE_UINT16 >::operator() | ( | const ACE_UINT16 | lhs,
|  | const ACE_UINT16 | rhs
| ) | const

| Simply calls built-in operators.

The documentation for this class was generated from the following files:

- Functor.h
- Functor.inl